Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect.swingui
[Java] Class TableSorter

    java.lang.Object
      javax.swing.table.AbstractTableModel
          groovy.inspect.swingui.TableMap
              groovy.inspect.swingui.TableSorter

    public class TableSorter
    extends TableMap

A sorter for TableModels. The sorter has a model (conforming to TableModel) and itself implements TableModel. TableSorter does not store or copy the data in the TableModel, instead it maintains an array of integers which it keeps the same size as the number of rows in its model. When the model changes it notifies the sorter that something has changed eg. "rowsAdded" so that its internal array of integers can be reallocated. As requests are made of the sorter (like getValueAt(row, col) it redirects them to its model via the mapping array. That way the TableSorter appears to hold another copy of the table with the rows in a different order. The sorting algorthm used is stable which means that it does not move around rows when its comparison function returns 0 to denote that they are equivalent.

Authors:
  Philip Milne
  Minimal adjustments by Dierk Koenig, June 2005

Version:
  1.12 01/23/03

Field Summary

Fields inherited from class TableMap
model

Constructor Summary
`TableSorter()`
`TableSorter(TableModel model)`

Method Summary
`void` | `addMouseListenerToHeaderInTable(JTable table)`
`void` | `checkModel()`
`int` | `compare(int row1, int row2)`
`int` | `compareRowsByColumn(int row1, int row2, int column)`
`Object` | `getValueAt(int aRow, int aColumn)`
`void` | `n2sort()`
`void` | `reallocateIndexes()`
`void` | `setModel(TableModel model)`
`void` | `setValueAt(Object aValue, int aRow, int aColumn)`
`void` | `shuttlesort(int[] from, int[] to, int low, int high)`
`void` | `sort(Object sender)`
`void` | `sortByColumn(int column)`
`void` | `sortByColumn(int column, boolean ascending)`
`void` | `swap(int i, int j)`
`void` | `tableChanged(TableModelEvent e)`

Methods inherited from class TableMap
getColumnClass, getColumnCount, getColumnName, getModel, getRowCount, getValueAt, isCellEditable, setModel, setValueAt, tableChanged

Methods inherited from class AbstractTableModel
getListeners, getColumnName, getColumnClass, isCellEditable, setValueAt, addTableModelListener, removeTableModelListener, fireTableStructureChanged, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableCellUpdated, findColumn, getTableModelListeners, fireTableDataChanged, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getRowCount, getColumnCount, getValueAt

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TableSorter

    public TableSorter()

### TableSorter

    public TableSorter(TableModel model)

Method Detail

### addMouseListenerToHeaderInTable

    public void addMouseListenerToHeaderInTable(JTable table)

### checkModel

    public void checkModel()

### compare

    public int compare(int row1, int row2)

### compareRowsByColumn

    public int compareRowsByColumn(int row1, int row2, int column)

### getValueAt

    public Object getValueAt(int aRow, int aColumn)

### n2sort

    public void n2sort()

### reallocateIndexes

    public void reallocateIndexes()

### setModel

    public void setModel(TableModel model)

### setValueAt

    public void setValueAt(Object aValue, int aRow, int aColumn)

### shuttlesort

    public void shuttlesort(int[] from, int[] to, int low, int high)

### sort

    public void sort(Object sender)

### sortByColumn

    public void sortByColumn(int column)

### sortByColumn

    public void sortByColumn(int column, boolean ascending)

### swap

    public void swap(int i, int j)

### tableChanged

    public void tableChanged(TableModelEvent e)

Copyright © 2003-2010 The Codehaus. All rights reserved.